com.tibco.n2.service.adapter.config

## Enum Configuration.Property

- java.lang.Object
- - java.lang.Enum<Configuration.Property>
  - - com.tibco.n2.service.adapter.config.Configuration.Property

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Configuration.Property>
  Enclosing class:
    Configuration

      public static enum Configuration.Property
      extends java.lang.Enum<Configuration.Property>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMX_BPM_INSTANCE_HOST`
    `AMX_BPM_INSTANCE_PORT`
    `AMX_BPM_INSTANCE_PROTOCOL`
    `AMX_BPM_SOAP_SPEC`
    `SYS_PROP_SSL_KEY_STORE`
    `SYS_PROP_SSL_KEY_STORE_TYPE`
    `SYS_PROP_SSL_TRUST_STORE`
    `SYS_PROP_SSL_TRUST_STORE_PASSWORD`
    `SYS_PROP_SSL_TRUST_STORE_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Configuration.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Configuration.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AMX_BPM_INSTANCE_PROTOCOL

          public static final Configuration.Property AMX_BPM_INSTANCE_PROTOCOL

    - #### AMX_BPM_INSTANCE_HOST

          public static final Configuration.Property AMX_BPM_INSTANCE_HOST

    - #### AMX_BPM_INSTANCE_PORT

          public static final Configuration.Property AMX_BPM_INSTANCE_PORT

    - #### SYS_PROP_SSL_KEY_STORE

          public static final Configuration.Property SYS_PROP_SSL_KEY_STORE

    - #### SYS_PROP_SSL_TRUST_STORE

          public static final Configuration.Property SYS_PROP_SSL_TRUST_STORE

    - #### SYS_PROP_SSL_TRUST_STORE_PASSWORD

          public static final Configuration.Property SYS_PROP_SSL_TRUST_STORE_PASSWORD

    - #### SYS_PROP_SSL_KEY_STORE_TYPE

          public static final Configuration.Property SYS_PROP_SSL_KEY_STORE_TYPE

    - #### SYS_PROP_SSL_TRUST_STORE_TYPE

          public static final Configuration.Property SYS_PROP_SSL_TRUST_STORE_TYPE

    - #### AMX_BPM_SOAP_SPEC

          public static final Configuration.Property AMX_BPM_SOAP_SPEC

  - ### Method Detail

    - #### values

          public static Configuration.Property[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Configuration.Property c : Configuration.Property.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Configuration.Property valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.